Bug 115487 - Have Konqueror reload and reparse local automatic proxy configuration script when changed on disk
Summary: Have Konqueror reload and reparse local automatic proxy configuration script ...
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-01 19:46 UTC by Martin Rehn
Modified: 2011-04-26 05:02 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Rehn 2005-11-01 19:46:08 UTC
Version:            (using KDE KDE 3.4.2)
Installed from:    Debian testing/unstable Packages

I have a local file implementing my FindProxyForURL function, that tells Konqueror to use the library proxy for journal sites. When I find a new journal that needs the proxy I add it to this function.

I have my proxy settings set to automatic, using this file over the file:// protocol.

Presently, it seems that you have to enter Konqueror's proxy configuration dialog, pretend to change something, and hit OK for the auto-configuration file to be re-read. It would be nice if this could happen automatically whenever the file is changed on disk.

I realize there may be some consistency problems, since this approach might not work for remote URL:s.
Comment 1 Martin Rehn 2005-11-02 16:23:47 UTC
In some cases it is presently even required to shut down and restart Konqueror 
for the changes to the configuration file to take effect.
Comment 2 j__n 2009-10-25 00:14:11 UTC
still seeing this wishlist item in kde 4.3.1.

also applies to akregator and probably any app that uses kde's networking
Comment 3 Dawit Alemayehu 2011-04-26 05:02:14 UTC
Git commit d122c2bb104b434cbe98b1e60b20a60e24631e4b by Dawit Alemayehu.
Committed on 26/04/2011 at 05:06.
Pushed by adawit into branch 'master'.

Implemented support for monitoring local proxy configuration script files for
changes so that those changes could be applied automatically.

BUG: 115487
FIXED-IN: 4.7

M  +23   -2    kio/misc/kpac/proxyscout.cpp     
M  +8    -7    kio/misc/kpac/proxyscout.h     

http://commits.kde.org/kdelibs/d122c2bb104b434cbe98b1e60b20a60e24631e4b